<html>
<head>
<!-- 
<script src="/socket.io/socket.io.js"></script> 
-->

<!--  
		The above works if connecting through server,
			but not if connecting directly
-->
<script src="http://localhost:8000/socket.io/socket.io.js"> </script>

</head>

<body>

<p id="holdOutput"></p>

<script>
	var canThisHold = null;
	
//	var socket = io.connect('http://localhost:8000'); // to open client.html directly, need this;
													  //    if connect to server first, can omit :8000
													  
	var socket = io.connect('http://localhost:' + '8000');
	
	socket.on('news', function (data) {
		console.log(data);
		canThisHold = data.hello
		document.getElementById("holdOutput").innerHTML =
	        "news: " + canThisHold + "!";
		socket.emit('set nickname', { name: 'secondPage' });
	});
	
	socket.on('ready', function (data) {
		console.log(data);
		socket.emit('msg', { myNote: 'hello world' });
	});
</script>
<div>This is a  socket.io test</div>


</body>
</html>
